<?php
/* vim: set expandtab tabstop=4 shiftwidth=4 foldmethod=marker: */

# Página de entrada
# Public domain. 2006. No warranties. http://structio.sourceforge.net/sigue

$title="Autenticación ante el sistema";
require "auth/confcol.php";
require "header.php";
require "GroupQuery.php";

/* Porción adaptada de fuentes de erfurtwiki erfurtwiki.sourceforge.net */
if (ini_get("register_globals") === "1") {
	die("La configuración de PHP que está empleando NO es segura porque usa RegisterGlobals=On<br> Por favor modifiquela.");
}
if (!$GLOBALS['ACTIVA']) {
	die("El administrador está preparando archivos. Interfaz fuera de servicio temporalmente.");
}
$año=date("Y");
$tteachers= new GroupQuery($GLOBALS["DIRCOL"]."/grupo/".$año."/profesores.grp", $año);
$teachers=$tteachers->values();
print"<div align=\"center\"><table border=\"1\" bgcolor=\"#FFFFFF\">";
print "<form action=\"autenticame.php\" method=\"post\">";
print "<table class=\"login\">
<tr><th>Usuario<td>";
asort($teachers);
showselect($teachers,"login");
print '<tr><th>Clave<td><input type="password" rows="8" name="clave"></td></tr>';
print "<tr><td>Año</td><td>".$año."</td></tr>";
print '<tr><td align="center" colspan="2"><input type="submit" value="Entrar">
</table>

</form></table></div>';
print "<p>Puede emplear <tt>lynx</tt> o <tt>w3m</tt> para ingresar las
valoraciones rápidamente.";
require "footer.php";
?>
